org.openmuc.openiec61850.clientgui

## Class DataObjectTreeNode

- java.lang.Object
- - javax.swing.tree.DefaultMutableTreeNode
  - - org.openmuc.openiec61850.clientgui.DataObjectTreeNode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode, DataTreeNode

    public class DataObjectTreeNode
    extends javax.swing.tree.DefaultMutableTreeNode
    implements DataTreeNode

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class javax.swing.tree.DefaultMutableTreeNode

`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

### Constructor Summary

Constructors
Constructor and Description
`DataObjectTreeNode(java.lang.String name, ModelNode node)`

### Method Summary

All Methods Instance Methods Concrete Methods
`BasicDataBind<?>` `getData()`
`ModelNode` `getNode()`
`boolean` `readable()`
`void` `reset(ClientAssociation association)`
`boolean` `writable()`
`void` `writeValues(ClientAssociation association)`

### Methods inherited from class javax.swing.tree.DefaultMutableTreeNode

`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.openmuc.openiec61850.clientgui.DataTreeNode

`getChildAt, getChildCount`

### Constructor Detail

#### DataObjectTreeNode

    public DataObjectTreeNode(java.lang.String name,
                              ModelNode node)

### Method Detail

#### getNode

    public ModelNode getNode()

#### getData

    public BasicDataBind<?> getData()

Specified by:
  `getData` in interface `DataTreeNode`

#### reset

    public void reset(ClientAssociation association)
               throws ServiceError,
                      java.io.IOException

Specified by:
  `reset` in interface `DataTreeNode`
Throws:
  `ServiceError`
  `java.io.IOException`

#### writeValues

    public void writeValues(ClientAssociation association)
                     throws ServiceError,
                            java.io.IOException

Specified by:
  `writeValues` in interface `DataTreeNode`
Throws:
  `ServiceError`
  `java.io.IOException`

#### writable

    public boolean writable()

Specified by:
  `writable` in interface `DataTreeNode`

#### readable

    public boolean readable()

Specified by:
  `readable` in interface `DataTreeNode`